Pivotal GemFire for Pivotal Cloud Foundry

This documentation describes how to install, configure and use GemFire for Pivotal Cloud Foundry (PCF).

Product Snapshot

Current GemFire for Pivotal Cloud Foundry Details
Version: 1.7.0
Release Date: 19th September 2016
Software component version: GemFire 8.2.1, Spring Data GemFire 1.8.2, Java 8 (JDK/JRE 8u60)
Compatible Ops Manager Version(s): 1.7.x, 1.8.x
Compatible Elastic Runtime Version(s): 1.7.x, 1.8.x
Compatible Java Buildpack Version(s): 3.6, 3.7.1
vSphere support? Yes
AWS support? Yes
IPSec support? Yes

Upgrading to the Latest Version

This version of Pivotal GemFire for Pivotal Cloud Foundry supports upgrading from all the previous versions of the product. Running service instances are automatically upgraded one node at a time. If you configured your clusters with data redundancy, then the upgrade process requires no downtime and results in no data loss.

Note: Upgrades from Alpha or Beta versions of the software are not supported.

Documentation Index

The documentation contains the following topics:

For more information about Pivotal GemFire, see the Pivotal GemFire Documentation.

For more information about Pivotal Cloud Foundry, see the Pivotal Cloud Foundry Documentation.

Was this helpful?
What can we do to improve?
View the source for this page in GitHub